extends Node3D

@onready var animation: AnimationPlayer = $AnimationPlayer
@onready var dust_animation: AnimationPlayer = %DustAnimation


func open() -> void:
	animation.play("open")
	dust_animation.play("spray")


func close() -> void:
	# TODO bespoke close anim?
	animation.play_backwards("open")
